<template>
	<view v-if="init.code != 1" class="px4 py4">
		<view style="height:4em;"></view>
		<view class="ciy-skeleton" style="height:2em;width:100%;"></view>
		<view class="ciy-skeleton" style="height:1em;width:60%;"></view>
		<view class="ciy-skeleton" style="height:8em;width:100%;"></view>
	</view>
	<view v-else>
		<ciy-header ref="header" v-if="init.data.title" :title="init.data.title"></ciy-header>
		<ciy-header ref="header" mode="tran" v-else></ciy-header>
		<view class="bg1" style="min-height:100vh;">
			<ciy-markdown padding="1.5em" :md="init.data.content"></ciy-markdown>
		</view>
	</view>
</template>

<style>
</style>

<script>
	export default {
		data() {
			return {}
		},
		onLoad() {
			this.getinit();
		},
		computed: {},
		methods: {
			async getinit() {
				var retjson = await this.callfunc({
					func: 'main.paper_get',
					data: this.opn
				});
				if (retjson.code != 1)
					return this.alert(retjson.errmsg);
				this.init = retjson;
			},
		}
	}
</script>